# Generated by Django 3.2.2 on 2022-04-14 23:29

import django.contrib.gis.db.models.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Comuna',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('cod', models.CharField(max_length=255)),
                ('region', models.CharField(max_length=255)),
                ('cod_region', models.CharField(max_length=255)),
                ('av_region', models.CharField(max_length=255)),
                ('cod_provincia', models.CharField(max_length=255)),
                ('provincia', models.CharField(max_length=255)),
                ('nse', models.CharField(max_length=255)),
                ('tamano', models.CharField(max_length=255)),
                ('tipo', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='OfertaTuristica',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tipo_oferta', models.IntegerField(choices=[(0, 'Alojamiento'), (1, 'Guía cultural'), (2, 'Actividades al aire libre'), (3, 'Actividades de interior'), (4, 'Alimentación'), (5, 'Servicios'), (6, 'Transporte'), (7, 'Historia local')], default=0)),
                ('nombre', models.CharField(max_length=255)),
                ('descripcion', models.TextField()),
                ('area', django.contrib.gis.db.models.fields.PolygonField(blank=True, null=True, srid=4326)),
                ('ruta', django.contrib.gis.db.models.fields.LineStringField(blank=True, null=True, srid=4326)),
                ('lugar', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326)),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='creation date')),
                ('active', models.BooleanField(default=True)),
                ('published', models.BooleanField(default=True)),
                ('deleted', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ('-created_at',),
            },
        ),
        migrations.CreateModel(
            name='Zona',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=255)),
                ('descripcion', models.TextField()),
                ('centro', django.contrib.gis.db.models.fields.PointField(srid=4326)),
                ('zoom', models.IntegerField(default=10)),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='creation date')),
            ],
            options={
                'ordering': ('-created_at',),
            },
        ),
    ]
